"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const docregistry_1 = require("@jupyterlab/docregistry");
const CredentialsWidget_1 = require("./CredentialsWidget");
const CredentialsPanel_1 = require("./CredentialsPanel");
/*
 * A widget factory for dashboards
 *
 * http://jupyterlab.github.io/jupyterlab/classes/_docregistry_src_default_.abcwidgetfactory.html
 * Implements IWidgetFactory<T: IDocumentWidget, U: IModel>
 *
 * Connects the DocumentWidget with the Model.
 */
class CredentialsWidgetFactory extends docregistry_1.ABCWidgetFactory {
    /**
     * Construct a new widget factory.
     *
     * @param options - The options used to construct the factory.
     */
    constructor(options) {
        super(options);
    }
    /**
     * Create a new widget.
     */
    createNewWidget(context) {
        //////////
        /*
        const panel = new CredentialsPanel({
            id: 'credentialstore',
            serviceManager: app.serviceManager
        });
        
        
        */
        let content = new CredentialsWidget_1.CredentialsWidget(context);
        let widget = new CredentialsPanel_1.CredentialsPanel({ context, content });
        return widget;
    }
}
exports.CredentialsWidgetFactory = CredentialsWidgetFactory;
