"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rootselector_1 = require("./rootselector");
const reselect_1 = require("reselect");
const STATIC = require("../static");
// Actions
function onLayoutChange(layout) {
    return {
        type: 'layout/set',
        payload: layout
    };
}
exports.onLayoutChange = onLayoutChange;
function addTile() {
    return {
        type: 'tile/create',
        payload: undefined
    };
}
exports.addTile = addTile;
function removeTile(id) {
    return {
        type: 'tile/destroy',
        payload: id
    };
}
exports.removeTile = removeTile;
// the variable name must match the name of the reducer!!!
// returns the dict that contains the data of this reducer
exports.getGridRoot = reselect_1.createSelector(rootselector_1.getRoot, ({ gridReducer }) => gridReducer);
exports.getLayout = reselect_1.createSelector(exports.getGridRoot, ({ layout }) => layout);
// Reducer
const defaultState = {
    layout: [],
    selected: null,
    lastId: 0,
};
function gridReducer(state = defaultState, { type, payload }) {
    switch (type) {
        case 'layout/set':
            return Object.assign({}, state, { layout: payload });
        case 'tile/create':
            let { lastId } = state;
            lastId = lastId + 1;
            return Object.assign({}, state, { lastId: lastId, layout: [...state.layout, { i: 'id_' + lastId, x: 0, y: 0, w: STATIC.GRID_COLUMNS, h: 1 }] });
        default:
            return state;
    }
}
exports.default = gridReducer;
