"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_redux_1 = require("react-redux");
const grid_1 = require("./ducks/grid");
//const ReactGrid = ReactGridLayout.WidthProvider(ReactGridLayout);
const Grid = (props) => {
    const layoutDash = (layout, oldItem, newItem) => {
        const changed = !(oldItem.x == newItem.x && oldItem.y == newItem.y && oldItem.w == newItem.w && oldItem.h == newItem.h);
        if (changed) {
            props.onLayoutChange(layout);
        }
    };
    const onAddTile = () => {
        console.log("add tile");
        props.addTile();
    };
    props.setOnAddTileListener(onAddTile);
    return React.createElement("div", null, 
    // render the tiles here
    props.layout.map(function (item) {
        let id = item.i;
        return (React.createElement("div", { key: id },
            React.createElement("span", { className: "text" }, id)));
    }));
};
function mapStateToProps(state, props) {
    return {
        layout: grid_1.getLayout(state)
    };
}
function mapDispatchToProps(dispatch, props) {
    return {
        onLayoutChange: (layout) => dispatch(grid_1.onLayoutChange(layout)),
        addTile: () => dispatch(grid_1.addTile())
    };
}
exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(Grid);
