"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const version = "0415";
const application_1 = require("@jupyterlab/application");
const CredentialsPanel_1 = require("./CredentialsPanel");
require("../style/index.css");
// Caption of the command of adding a dashboard
const CAPTION = 'Credential Store';
const plugin = {
    id: 'credentialstore:plugin',
    requires: [application_1.ILayoutRestorer],
    autoStart: true,
    activate: (app, restorer) => {
        //console.log('JupyterLab extension CredentialStore is activated!');
        console.log("VERSION__" + version);
        const { shell } = app;
        const panel = new CredentialsPanel_1.CredentialsPanel({
            id: 'credentialstore',
            serviceManager: app.serviceManager
        });
        restorer.add(panel, 'credentialstore');
        panel.title.iconClass = 'jp-CredentialIcon jp-SideBar-tabIcon';
        panel.title.caption = CAPTION;
        shell.addToLeftArea(panel, { rank: 1000 });
        return;
    }
};
exports.default = plugin;
