"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const docregistry_1 = require("@jupyterlab/docregistry");
const apputils_1 = require("@jupyterlab/apputils");
/**
 * The class name added to notebook panels.
 */
const NOTEBOOK_PANEL_CLASS = 'jp-NotebookPanel';
const NOTEBOOK_PANEL_TOOLBAR_CLASS = 'jp-NotebookPanel-toolbar';
const NOTEBOOK_PANEL_NOTEBOOK_CLASS = 'jp-NotebookPanel-notebook';
//DocumentRegistry.IModel
/**
 * DocumentWidget<DashboardWidget, INotebookModel>
 */
class DashboardPanel extends docregistry_1.DocumentWidget {
    /**
     * Construct a new notebook panel.
     */
    constructor(options) {
        super(options);
        // Set up CSS classes
        this.addClass(NOTEBOOK_PANEL_CLASS);
        //this.toolbar.addClass(NOTEBOOK_PANEL_TOOLBAR_CLASS);
        this.content.addClass(NOTEBOOK_PANEL_NOTEBOOK_CLASS);
        // Set up things related to the context
        //this.content.model = this.context.model;
        let button = new apputils_1.ToolbarButton({
            className: 'myButton',
            iconClassName: 'fa fa-plus',
            tooltip: 'Add Cell'
        });
        this.toolbar.insertItem(0, 'add', button);
    }
    /**
     * The client session used by the panel.
     */
    get session() {
        return this.context.session;
    }
    /**
     * The model for the widget.
     
    get model(): INotebookModel {
      return this.content ? this.content.model : null;
    }*/
    /**
     * Dispose of the resources used by the widget.
     */
    dispose() {
        this.content.dispose();
        super.dispose();
    }
}
exports.DashboardPanel = DashboardPanel;
